package nface

import "net"

const (
	// StatusStart 开始阶段
	StatusStart int32 = iota + 1
	// StatusPrepare 准备阶段
	StatusPrepare
	// StatusWorking 工作阶段
	StatusWorking
	// StatusClosed 连接关闭
	StatusClosed
)

type IConnection interface {
	// Status 获取连接状态
	Status() int32
	// SetStatus 设置连接状态
	SetStatus(s int32)
	// Conn 获取底层网络连接
	Conn() net.Conn
	// ID 获取连接ID
	ID() int64
	// Session 获取当前连接绑定的Session
	Session() ISession
	// Close 关闭连接
	Close() error
}
